Name:                curvesapi
Version:             1.08
Release:             1
Summary:             Java implementation of various mathematical curves
License:             BSD
URL:                 https://github.com/virtuald/curvesapi
Source0:             https://github.com/virtuald/curvesapi/archive/refs/tags/1.08.tar.gz
BuildRequires:       maven-local mvn(junit:junit)
BuildArch:           noarch

%description
Implementation of various mathematical curves that define themselves
over a set of control points. The API is written in Java. The curves
supported are: Bezier, B-Spline, Cardinal Spline, Catmull-Rom Spline,
Lagrange, Natural Cubic Spline, and NURBS.

%package javadoc
Summary:             Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
for file in r*.txt demo/*.java
do
 sed -i.orig 's|\r||g' $file
 touch -r $file.orig $file
 rm $file.orig
done
%mvn_file :%{name} %{name}

%build
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md readme.txt release-notes.txt scshot.png demo
%license license.txt

%files javadoc -f .mfiles-javadoc
%license license.txt

%changelog
* Thu Sep 21 2023 chenchen <chen_aka_jan@163.com> - 1.08-1
- Upgrade to version 1.08

* Fri Nov 11 2022 caodongxia <caodongxia@h-partners.com> - 1.04-2
- Modify invalid source0

* Fri Aug 14 2020 leiju <leiju4@huawei.com> - 1.04-1
- Package init
